$basic-border: 1px solid black;
nav {
    ul {
        display: flex;
        gap: 20px;
        list-style: none;
        li {
            border-bottom: 1px solid transparent;
            cursor: pointer;
            &:hover {
                border-bottom:
                $basic-border;
            }
        }
    }
}